﻿/* 
    Copyright (c) 2012 Microsoft Corporation.  All rights reserved.
    Use of this sample source code is subject to the terms of the Microsoft license 
    agreement under which you licensed this sample source code and is provided AS-IS.
    If you did not accept the terms of the license agreement, you are not authorized 
    to use this sample source code.  For the terms of the license, please see the 
    license agreement between you and Microsoft.
*/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Tasks;

namespace FaceParty
{
    public partial class About : PhoneApplicationPage
    {
        private bool isTaskShowing_;

        public About()
        {
            InitializeComponent();

            Unloaded += (s, e) =>
         {
             isTaskShowing_ = false;
         };
        }

        private void Rate_Click(object sender, RoutedEventArgs e)
        {
            if (isTaskShowing_)
            {
                return;
            }
            isTaskShowing_ = true;

            MarketplaceReviewTask task = new MarketplaceReviewTask();
            task.Show();
        }

        private void emailus_Click(object sender, RoutedEventArgs e)
        {
            EmailComposeTask emailTask = new EmailComposeTask();
            emailTask.Subject = "Face Party Feedback";
            emailTask.To = "msrawp7@microsoft.com";
            emailTask.Show();
        }
    }
}